Cyberduck Mountain Duck CLI

#9225 closed defect (fixed)

WebDAV (SSL): Folder/files cannot be renamed

Reported by: Duck Owned by: dkocher
Priority: high Milestone: 4.8
Component: webdav Version: 4.7.3
Severity: blocker Keywords: Renaming of files/folders
Cc: Architecture: Intel
Platform: Windows 7

Description (last modified by dkocher)

Show stopper: On a WebDAV drive where the user has administrator level, I could create a new folder using the [New folder] command of the Windows Explorer, but then I could not rename it. Error message: “Ordner umbenennen. Die Quelldatei oder vom Quelldatenträger kann nicht gelesen werden.” (With a different WebDAV client I have no problems renaming the folder.) The un-nameable folder can be deleted again.

General comments:

GUI: A little bit to spartan like.

  • Opening the GUI – you have to know that it can be opened from the system tray only.
  • After installation a dialog should appear allowing to start configuring.
  • When opened from the Windows Start menu, a dialog should appear allowing to start configuring.
  • Either you can enter log-in name and password during configuration or none. When there is a field just for the name, I wonder what about the password.
  • Translation is incomplete, e.g. in the system tray menu: New Bookmark / Verlauf / No Bookmarks / About / Quit Mountain Duck
  • In the configuration dialog it was not possible to enter a port number numerical (“:” could not be entered in the Server URL field), I had to use the spin buttons to change from 443 to something like 5555.
  • I had to set port 5556 to get port 5555
  • You cannot change a password once it has been entered with option “Save password” – even it is (may be?) wrong and no connection possible
  • Positive: An unknown certificate is warned but it can be made to be accepted always.

Deinstallation: The deinstallation appears to have finished long before it actually finished. (Windows cannot be shut down for some time after deinstallation appeared to have finished.)

Attachments (1)

mountainduck.log (4.8 MB) - added by Duck on Jan 20, 2016 at 10:22:20 PM.
Log file

Change History (7)

Changed on Jan 20, 2016 at 10:22:20 PM by Duck

Log file

comment:1 Changed on Jan 20, 2016 at 10:27:19 PM by dkocher

  • Description modified (diff)

comment:2 Changed on Jan 21, 2016 at 9:52:52 AM by dkocher

The rename failure is fixed in build 1.0.11.3090 and later.

comment:3 in reply to: ↑ description Changed on Jan 21, 2016 at 10:44:00 AM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

Replying to Duck:

General comments:

Thanks for your feedback!

GUI: A little bit to spartan like.

  • Opening the GUI – you have to know that it can be opened from the system tray only.
  • After installation a dialog should appear allowing to start configuring.
  • When opened from the Windows Start menu, a dialog should appear allowing to start configuring.

We might introduce a welcome screen to alert the user of the system tray only application.

  • Either you can enter log-in name and password during configuration or none. When there is a field just for the name, I wonder what about the password.

Passwords are stored encrypted in the system preferences when entered in the login prompt.

  • Translation is incomplete, e.g. in the system tray menu: New Bookmark / Verlauf / No Bookmarks / About / Quit Mountain Duck

Will be fixed in a post 1.0 release.

  • In the configuration dialog it was not possible to enter a port number numerical (“:” could not be entered in the Server URL field), I had to use the spin buttons to change from 443 to something like 5555.
  • I had to set port 5556 to get port 5555

Thanks for reporting this issue. We will get this fixed.

  • You cannot change a password once it has been entered with option “Save password” – even it is (may be?) wrong and no connection possible

You should get prompted with a login panel to enter new credentials.

  • Positive: An unknown certificate is warned but it can be made to be accepted always.

Deinstallation: The deinstallation appears to have finished long before it actually finished. (Windows cannot be shut down for some time after deinstallation appeared to have finished.)

comment:4 Changed on Jan 21, 2016 at 10:45:04 AM by dkocher

  • Milestone set to 4.8

comment:5 follow-up: Changed on Jan 23, 2016 at 12:58:26 PM by Duck

How do I get a new version? The update feature does not update anything. The show stopper prevents me from using the installed version.

comment:6 in reply to: ↑ 5 Changed on Jan 23, 2016 at 8:18:38 PM by dkocher

Replying to Duck:

How do I get a new version? The update feature does not update anything. The show stopper prevents me from using the installed version.

Please write to support@….

Note: See TracTickets for help on using tickets.